using System;

internal sealed class Delegate292 : MulticastDelegate
{
	public extern object Invoke(object object_0);

	public static object smethod_0(object object_0, Delegate292 delegate292_1)
	{
		return delegate292_1(object_0);
	}

	public extern Delegate292(object object_0, IntPtr intptr_0);

	static Delegate292()
	{
		Class10.smethod_13(typeof(Delegate292).TypeHandle);
	}

	internal static Delegate292 delegate292_0;
}
